
show workspace.
set workspace 4096.
get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\test.sav".

recode s4q1    ('V' = 1) ('S' = 2) ('D' = 3) ('F' = 4) ('N' = 5)                                                                    (convert)  into ss4q1.
recode s4q2    ('R' = 1) ('U' = 2) ('B' = 3)                                                                                           (convert)  into ss4q2 .  
recode s4q3   ('Y' = 1) ('N' = 2)                                                                                                        (convert) into ss4q3.
recode s4q4    ('Y' = 1) ('N' = 2)                                                                                                       (convert)  into ss4q4.
Save outfile= "c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav". 

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav"
/ drop  = s4q1 s4q2 s4q3 s4q4 .
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav"
/ rename ss4q2=s4q2 ss4q3 =s4q3 ss4q4 =s4q4 ss4q1=s4q1.
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav".
Value labels 
s4q1 1 'Same village/town/city' 2 'Same division/different location' 3 'Different division' 4 'Foreign country'  5 'HH not exist 12 mths ago'
/ s4q2  1 'Rural area' 2 'Other urban' 3 'Greater Banjul'
/ s4q3  1 'Yes' 2 'No'
/  s4q4 1 'Yes' 2 'No'  .
Save outfile="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav".

Get file="c:\ADP\MISSIONS\gambia\ps1992\data\spss\ps92s_4.sav".
freq var idno / format dfreq.